# $Revision: 1.16 $, $Date: 2010/09/21 18:59:51 $
# TODO:
# - config should be accesible with some better rights...
# NOTE:
# - there is some GNOME/PAM integration described at http://wifi-radar.systemimager.org/
# - there are %{name}.{conf,desktop} files in tarball too
# - Consider using default .desktop
Summary:	Utility for managing WiFi profiles
Summary(pl.UTF-8):	Narzędzie do zarządzania profilami WiFi
Name:		wifi-radar
Version:	2.0.s08
Release:	2
License:	GPL v2+
Group:		Networking/Admin
Source0:	http://download.berlios.de/wifi-radar/%{name}-%{version}.tar.bz2
# Source0-md5:	cbad24805d5dc6696e38dc1df619c819
Source1:	%{name}.conf
Source2:	%{name}.desktop
Source3:	%{name}-128.png
URL:		http://wifi-radar.systemimager.org/
Requires:	dhcpcd
Requires:	net-tools
Requires:	python-pycairo >= 1.2.2
Requires:	python-pygtk-gtk >= 2.4.0
Requires:	wireless-tools
Suggests:	sudo
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WiFi Radar is a Python/PyGTK2 utility for managing WiFi profiles. It
enables you to scan for available networks and create profiles for
your preferred networks. At boot time, running WiFi Radar will
automatically scan for an available preferred network and connect to
it. You can drag and drop your preferred networks to arrange the
profile priority.

%description -l pl.UTF-8
WiFi Radar to narzędzie do zarządzania profilami połączeń WiFi
napisane przy użyciu Pythona/PyGTK2. Umożliwia skanowanie w
poszukiwaniu dostępnych sieci i tworzenie dla nich profili. Podczas
uruchamiania komputera WiFi Radar automatycznie przeskanuje w
poszukiwaniu preferowanej sieci i połączy się z nią. Można użyć
przeciągania aby zorganizować priorytety profili.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_sysconfdir},%{_desktopdir},%{_pixmapsdir},%{_mandir}/man{1,5}}

install wifi-radar $RPM_BUILD_ROOT%{_sbindir}
install wifi-radar.sh $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}
install pixmaps/wifi{-radar.*g,_radar_32x32.png} $RPM_BUILD_ROOT%{_pixmapsdir}
install man/man1/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
install man/man5/%{name}.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*
%attr(755,root,root) %{_sbindir}/wifi-radar
%attr(755,root,root) %{_bindir}/wifi-radar.sh
# rights should be changed? taken from SuSE
%attr(600,root,root) %config(noreplace) %{_sysconfdir}/wifi-radar.conf
%{_desktopdir}/wifi-radar.desktop
%{_pixmapsdir}/*.png
%{_pixmapsdir}/*.svg
%{_mandir}/man1/wifi-radar.1*
%{_mandir}/man5/wifi-radar.conf.5*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wifi-radar.spec,v $
Revision 1.16  2010/09/21 18:59:51  glen
- release 2

Revision 1.15  2010/08/05 07:25:37  lisu
- 2.0.s08

Revision 1.14  2010/08/04 13:43:24  lisu
- S: sudo

Revision 1.13  2010/08/04 13:37:57  lisu
- new TODO item

Revision 1.12  2010/08/04 13:37:14  lisu
- up to 2.0.s07
- install wifi-radar.sh script to /usr/bin (to provide wifi-radar run for non-root users)
- adapter
- more verbose files

Revision 1.11  2009/06/28 10:08:34  gotar
- upgraded to 2.0.s02

Revision 1.10  2008/05/18 19:49:43  gotar
- add some notes

Revision 1.9  2008-05-18 19:32:35  gotar
- upgraded to 1.9.9:
- added man pages and more pixmaps

Revision 1.8  2007-02-12 22:09:20  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.6  2006/09/16 17:22:04  wolvverine
- add R

Revision 1.5  2006/07/21 14:55:46  wrobell
- ver. 1.9.6

Revision 1.4  2005/06/23 18:37:56  qboosh
- some pl fixes

Revision 1.3  2005/06/21 10:51:56  blues
- TODO added, release 1, STB

Revision 1.2  2005/06/20 16:51:19  koorek
- pl summary and desc

Revision 1.1  2005/06/20 10:11:28  blues
- initial - works nice
